Name: knutclient
Version: 0.8.5
Release: alt1

Summary: KNutClient is GUI client for UPS system NUT
Summary(ru_RU.KOI8-R): KNutClient --    NUT
Group: Monitoring
License: GPL
Url: http://www.alo.cz/%name

Source: ftp://ftp.buzuluk.cz/pub/alo/%name/%name-%version.tar.gz

BuildPreReq: menu-devel

# Automatically added by buildreq on Fri Dec 17 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils zlib-devel

%description
This package provides a KNutClient is a GUI client for Network UPS Tools (NUT).

%description -l ru_RU.KOI8-R
KNutClient --    Network UPS Tools (NUT).

%define qtdir %_libdir/qt3

%prep
%setup -q
%__subst 's,\.la,.so,' configure

%build
export QTDIR=%qtdir
export PATH=%qtdir/bin:$PATH

%configure --disable-rpath
%make_build 

%install
%makeinstall kde_htmldir=%buildroot%_docdir/HTML

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Applications/Monitoring" \
    %buildroot/%_datadir/applnk/*/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot%_iconsdir/hicolor/16x16/apps/%name.png %buildroot%_iconsdir/

%find_lang --with-kde %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/%name
%_datadir/*/*/*.desktop
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1
- 0.8.5

* Fri Dec 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.6-alt1
- 0.7.6

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- First build for Sisyphus.
